View Issue Details

IDProjectCategoryView StatusLast Update
0000821OpenMPT[All Projects] libopenmptpublic2016-10-15 11:53
ReportermanxAssigned Tomanx 
PrioritylowSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product VersionOpenMPT 1.26.02.* (old testing) 
Target VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)Fixed in VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) 
Summary0000821: Document how libopenmpt can be used in multi-threaded environment
Description

Document how libopenmpt can be used in multi-threaded environment and explain the problems with older C++ platforms.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

related to 0000836 resolvedmanx Remove support for C++98 and C++03 compilers 

Activities

manx

manx

2016-08-20 10:00

administrator   ~0002619

This has for the most part already been resolved in r6605.

manx

manx

2016-08-20 10:01

administrator   ~0002620

The problems with older platforms will automatically go away once we require C++11.

manx

manx

2016-10-15 11:53

administrator   ~0002698

A compile-time warning is already displayed in case we did not use any mutex implementation.

Issue History

Date Modified Username Field Change
2016-06-25 16:52 manx New Issue
2016-06-25 16:52 manx Status new => assigned
2016-06-25 16:52 manx Assigned To => manx
2016-08-20 10:00 manx Note Added: 0002619
2016-08-20 10:01 manx Note Added: 0002620
2016-08-20 10:01 manx Target Version OpenMPT 1.?? (libopenmpt 1.0) (goals) => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2016-08-20 10:01 manx Relationship added related to 0000836
2016-10-15 11:53 manx Status assigned => resolved
2016-10-15 11:53 manx Resolution open => fixed
2016-10-15 11:53 manx Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2016-10-15 11:53 manx Note Added: 0002698